IF NOT EXISTS (SELECT * FROM RoomCleaningDate WITH (NOLOCK) WHERE CleanStatus = 0)
BEGIN
  SET NOCOUNT ON
  INSERT INTO RoomCleaningDate (RoomNumber, CleaningDate, CleanStatus)
    SELECT RoomNumber, GETDATE(), 0
    FROM Rooms WITH (NOLOCK)
END